# Gaussian NO2+ DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
gaussian = Gaussian(frag=no2, method="dft", basis="3-21g", charge=1)

sp = SP(theory=gaussian, gradients=True)
sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
# NWChem
eref = -203.50318523
# Tcl-ChemShell/Gaussian16
eref = -2.03503185658000e+02

testutils.validate(ecalc, eref)
